<?php

namespace App\Http\Controllers;

use App\Models\budget_model;
use Illuminate\Http\Request;

class budget_controller extends Controller
{
    protected $budgets;

    public function __construct(){
        $this->budgets = new budget_model;
    }

    public function budget_list(){

        $budgets = $this->budgets->all();
        $data = compact('budgets');

        return view('budgets')->with($data);
    }

    public function add(){

        $url = route('budget_form');
        $title = 'Add Budget';
        $budget = $this->budgets;

        $data = compact('budget','url','title');

        return view('budget_form')->with($data);
    }

    public function store(Request $request){

        $request->validate([
            'name' => 'required',
            'price' => 'required',
        ]);

        $this->budgets->name = $request['name'];
        $this->budgets->price = $request['price'];
        $this->budgets->save();

        return redirect(route('budgets'));
    }

    public function delete($id){

        $budgets = $this->budgets->find($id);

        if(!is_null($budgets)){
            $budgets->delete();
        }

        return redirect(route('budgets'));
    }

    public function edit($id){

        $budget = $this->budgets->find($id);

        if(is_null($budget)){
            return redirect(route('budgets'));
        }else{

            $url = route('update_budget', ['id' => $id]);
            $title = 'Edit Budget';

            $data = compact('budget','url','title');

            return view('budget_form')->with($data);
        }
    }

    public function update($id,Request $request){

        $request->validate([
            'name' => 'required',
            'price' => 'required',
        ]);

        $budget = $this->budgets->find($id);
        if (!$budget) {
            return redirect(route('budgets'));
        }

        $budget->name = $request['name'];
        $budget->price = $request['price'];
        $budget->save();

        return redirect(route('budgets'));
    }

}
