@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('users')}}">Product Form</a>
@endpush

@section('page_title')

    <h1>{{$title}}</h1>

    <a href="{{route('products')}}">
        <button class="btn btn-primary">Back</button>
    </a>

@endsection


@section('main_div')

    <div class="container" style="background-color: #e5e7eb; padding: 40px; margin: 40px">

        <form method="post" action="{{$url}}" enctype="multipart/form-data">
            @csrf
            <div class="mb-3">
                <label for="name" class="form-label">Name</label>
                <input id="name" type="text" class="form-control" name="name" value="{{ old('name',$product->name) }}">
                <span class="text-danger">
                    @error('name') {{$message}} @enderror
                </span>
            </div>
            <div class="mb-3">
                <label for="quantity" class="form-label">Quantity</label>
                <input id="quantity" type="text" class="form-control" name="quantity" value="{{ old('quantity',$product->quantity) }}" >
                <span class="text-danger">
                    @error('quantity') {{$message}} @enderror
                </span>
            </div>
            <div class="mb-3">
                <label for="size" class="form-label">Size</label>
                <input id="size" type="text" class="form-control" name="size" value="{{ old('size',$product->size) }}" >
                <span class="text-danger">
                    @error('size') {{$message}} @enderror
                </span>
            </div>
            <div class="mb-3">
                <label for="price" class="form-label">Price</label>
                <input id="price" type="text" class="form-control" name="price" value="{{ old('price',$product->price) }}" >
                <span class="text-danger">
                    @error('price') {{$message}} @enderror
                </span>
            </div>
            <div class="mb-3">
                <label for="image" class="form-label"></label>
                <input id="image" type="file" class="form-control" name="image" value="{{ old('image',$product->name) }}">
                <span class="text-danger">
                    @error('image') {{$message}} @enderror
                </span>
            </div>

            <button class="btn btn-primary" type="submit">Confirm</button>
        </form>

        @if(isset($product->image))
            <br>
            <img src="{{asset('img/'.$product->image)}}" width="150px" height="150px">

        @endif

    </div>

@endsection
