@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('users')}}">User</a>
@endpush

@section('page_title')

    <h1>Users List</h1>

    <a href="{{route('user_form')}}">
        <button class="btn btn-primary">Add User</button>
    </a>

@endsection

@section('main_div')

    <div class="container" style="background-color: #e5e7eb; padding: 40px; margin: 40px">

        <table class="table">
            <thead class="table-primary">
            <tr>
                <th scope="col">Name</th>
                <th scope="col">Email</th>
                <th scope="col">Password</th>
                <th scope="col">Phone no</th>
                <th scope="col">Address</th>
                <th scope="col">Budget</th>
                <th scope="col">Action</th>
            </tr>
            </thead>
            <tbody>
            @foreach($users as $user)
                <tr>
                    <td>{{$user->name}}</td>
                    <td>{{$user->email}}</td>
                    <td>{{$user->password}}</td>
                    <td>{{$user->phone}}</td>
                    <td>{{$user->address}}</td>
                    <td>{{$user->budget}}$</td>
                    <td>
                        <a href="{{route('delete_user',['id'=>$user->id])}}">
                            <button class="btn btn-danger btn-sm">Delete</button>
                        </a>
                        |
                        <a href="{{route('edit_user',['id'=>$user->id])}}">
                            <button class="btn btn-primary btn-sm">Edit</button>
                        </a>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>

    </div>

@endsection
